diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.1.pl ./wordpress-3.4/wp-includes/script-loader.php ./wordpress-3.4.1/wp-includes/script-loader.php
*** ./wordpress-3.4/wp-includes/script-loader.php	2012-06-08 14:22:11.000000000 -0500
--- ./wordpress-3.4.1/wp-includes/script-loader.php	2012-06-26 01:28:59.000000000 -0500
***************
*** 62,75 ****
  	$scripts->add( 'utils', "/wp-admin/js/utils$suffix.js" );
  
  	$scripts->add( 'common', "/wp-admin/js/common$suffix.js", array('jquery', 'hoverIntent', 'utils'), false, 1 );
! 	$scripts->localize( 'common', 'commonL10n', array(
  		'warnDelete' => __("You are about to permanently delete the selected items.\n  'Cancel' to stop, 'OK' to delete.")
  	) );
  
  	$scripts->add( 'sack', "/wp-includes/js/tw-sack$suffix.js", array(), '1.6.1', 1 );
  
  	$scripts->add( 'quicktags', "/wp-includes/js/quicktags$suffix.js", array(), false, 1 );
! 	$scripts->localize( 'quicktags', 'quicktagsL10n', array(
  		'wordLookup' => __('Enter a word to look up:'),
  		'dictionaryLookup' => esc_attr(__('Dictionary lookup')),
  		'lookup' => esc_attr(__('lookup')),
--- 62,75 ----
  	$scripts->add( 'utils', "/wp-admin/js/utils$suffix.js" );
  
  	$scripts->add( 'common', "/wp-admin/js/common$suffix.js", array('jquery', 'hoverIntent', 'utils'), false, 1 );
! 	did_action( 'init' ) && $scripts->localize( 'common', 'commonL10n', array(
  		'warnDelete' => __("You are about to permanently delete the selected items.\n  'Cancel' to stop, 'OK' to delete.")
  	) );
  
  	$scripts->add( 'sack', "/wp-includes/js/tw-sack$suffix.js", array(), '1.6.1', 1 );
  
  	$scripts->add( 'quicktags', "/wp-includes/js/quicktags$suffix.js", array(), false, 1 );
! 	did_action( 'init' ) && $scripts->localize( 'quicktags', 'quicktagsL10n', array(
  		'wordLookup' => __('Enter a word to look up:'),
  		'dictionaryLookup' => esc_attr(__('Dictionary lookup')),
  		'lookup' => esc_attr(__('lookup')),
***************
*** 93,105 ****
  	$scripts->add( 'prototype', '/wp-includes/js/prototype.js', array(), '1.6.1');
  
  	$scripts->add( 'wp-ajax-response', "/wp-includes/js/wp-ajax-response$suffix.js", array('jquery'), false, 1 );
! 	$scripts->localize( 'wp-ajax-response', 'wpAjax', array(
  		'noPerm' => __('You do not have permission to do that.'),
  		'broken' => __('An unidentified error has occurred.')
  	) );
  
  	$scripts->add( 'wp-pointer', "/wp-includes/js/wp-pointer$suffix.js", array( 'jquery-ui-widget', 'jquery-ui-position' ), '20111129a', 1 );
! 	$scripts->localize( 'wp-pointer', 'wpPointerL10n', array(
  		'dismiss' => __('Dismiss'),
  	) );
  
--- 93,105 ----
  	$scripts->add( 'prototype', '/wp-includes/js/prototype.js', array(), '1.6.1');
  
  	$scripts->add( 'wp-ajax-response', "/wp-includes/js/wp-ajax-response$suffix.js", array('jquery'), false, 1 );
! 	did_action( 'init' ) && $scripts->localize( 'wp-ajax-response', 'wpAjax', array(
  		'noPerm' => __('You do not have permission to do that.'),
  		'broken' => __('An unidentified error has occurred.')
  	) );
  
  	$scripts->add( 'wp-pointer', "/wp-includes/js/wp-pointer$suffix.js", array( 'jquery-ui-widget', 'jquery-ui-position' ), '20111129a', 1 );
! 	did_action( 'init' ) && $scripts->localize( 'wp-pointer', 'wpPointerL10n', array(
  		'dismiss' => __('Dismiss'),
  	) );
  
***************
*** 170,176 ****
  	$scripts->add( 'jquery-touch-punch', "/wp-includes/js/jquery/jquery.ui.touch-punch.js", array('jquery-ui-widget', 'jquery-ui-mouse'), '0.2.2', 1 );
  
  	$scripts->add( 'thickbox', "/wp-includes/js/thickbox/thickbox.js", array('jquery'), '3.1-20111117', 1 );
! 	$scripts->localize( 'thickbox', 'thickboxL10n', array(
  			'next' => __('Next &gt;'),
  			'prev' => __('&lt; Prev'),
  			'image' => __('Image'),
--- 170,176 ----
  	$scripts->add( 'jquery-touch-punch', "/wp-includes/js/jquery/jquery.ui.touch-punch.js", array('jquery-ui-widget', 'jquery-ui-mouse'), '0.2.2', 1 );
  
  	$scripts->add( 'thickbox', "/wp-includes/js/thickbox/thickbox.js", array('jquery'), '3.1-20111117', 1 );
! 	did_action( 'init' ) && $scripts->localize( 'thickbox', 'thickboxL10n', array(
  			'next' => __('Next &gt;'),
  			'prev' => __('&lt; Prev'),
  			'image' => __('Image'),
***************
*** 227,236 ****
  	$scripts->add( 'plupload-all', false, array('plupload', 'plupload-html5', 'plupload-flash', 'plupload-silverlight', 'plupload-html4'), '1.5.4' );
  
  	$scripts->add( 'plupload-handlers', "/wp-includes/js/plupload/handlers$suffix.js", array('plupload-all', 'jquery') );
! 	$scripts->localize( 'plupload-handlers', 'pluploadL10n', $uploader_l10n );
  
  	$scripts->add( 'wp-plupload', "/wp-includes/js/plupload/wp-plupload$suffix.js", array('plupload-all', 'jquery', 'json2') );
! 	$scripts->localize( 'wp-plupload', 'pluploadL10n', $uploader_l10n );
  
  	// keep 'swfupload' for back-compat.
  	$scripts->add( 'swfupload', '/wp-includes/js/swfupload/swfupload.js', array(), '2201-20110113');
--- 227,236 ----
  	$scripts->add( 'plupload-all', false, array('plupload', 'plupload-html5', 'plupload-flash', 'plupload-silverlight', 'plupload-html4'), '1.5.4' );
  
  	$scripts->add( 'plupload-handlers', "/wp-includes/js/plupload/handlers$suffix.js", array('plupload-all', 'jquery') );
! 	did_action( 'init' ) && $scripts->localize( 'plupload-handlers', 'pluploadL10n', $uploader_l10n );
  
  	$scripts->add( 'wp-plupload', "/wp-includes/js/plupload/wp-plupload$suffix.js", array('plupload-all', 'jquery', 'json2') );
! 	did_action( 'init' ) && $scripts->localize( 'wp-plupload', 'pluploadL10n', $uploader_l10n );
  
  	// keep 'swfupload' for back-compat.
  	$scripts->add( 'swfupload', '/wp-includes/js/swfupload/swfupload.js', array(), '2201-20110113');
***************
*** 246,252 ****
  	}
  
  	$scripts->add( 'swfupload-handlers', "/wp-includes/js/swfupload/handlers$suffix.js", array('swfupload-all', 'jquery'), '2201-20110524');
! 	$scripts->localize( 'swfupload-handlers', 'swfuploadL10n', $uploader_l10n );
  
  	$scripts->add( 'comment-reply', "/wp-includes/js/comment-reply$suffix.js" );
  
--- 246,252 ----
  	}
  
  	$scripts->add( 'swfupload-handlers', "/wp-includes/js/swfupload/handlers$suffix.js", array('swfupload-all', 'jquery'), '2201-20110524');
! 	did_action( 'init' ) && $scripts->localize( 'swfupload-handlers', 'swfuploadL10n', $uploader_l10n );
  
  	$scripts->add( 'comment-reply', "/wp-includes/js/comment-reply$suffix.js" );
  
***************
*** 255,261 ****
  	$scripts->add( 'imgareaselect', "/wp-includes/js/imgareaselect/jquery.imgareaselect$suffix.js", array('jquery'), '0.9.8', 1 );
  
  	$scripts->add( 'password-strength-meter', "/wp-admin/js/password-strength-meter$suffix.js", array('jquery'), false, 1 );
! 	$scripts->localize( 'password-strength-meter', 'pwsL10n', array(
  		'empty' => __('Strength indicator'),
  		'short' => __('Very weak'),
  		'bad' => __('Weak'),
--- 255,261 ----
  	$scripts->add( 'imgareaselect', "/wp-includes/js/imgareaselect/jquery.imgareaselect$suffix.js", array('jquery'), '0.9.8', 1 );
  
  	$scripts->add( 'password-strength-meter', "/wp-admin/js/password-strength-meter$suffix.js", array('jquery'), false, 1 );
! 	did_action( 'init' ) && $scripts->localize( 'password-strength-meter', 'pwsL10n', array(
  		'empty' => __('Strength indicator'),
  		'short' => __('Very weak'),
  		'bad' => __('Weak'),
***************
*** 272,278 ****
  	$scripts->add( 'admin-bar', "/wp-includes/js/admin-bar$suffix.js", array(), false, 1 );
  
  	$scripts->add( 'wplink', "/wp-includes/js/wplink$suffix.js", array( 'jquery', 'wpdialogs' ), false, 1 );
! 	$scripts->localize( 'wplink', 'wpLinkL10n', array(
  		'title' => __('Insert/edit link'),
  		'update' => __('Update'),
  		'save' => __('Add Link'),
--- 272,278 ----
  	$scripts->add( 'admin-bar', "/wp-includes/js/admin-bar$suffix.js", array(), false, 1 );
  
  	$scripts->add( 'wplink', "/wp-includes/js/wplink$suffix.js", array( 'jquery', 'wpdialogs' ), false, 1 );
! 	did_action( 'init' ) && $scripts->localize( 'wplink', 'wpLinkL10n', array(
  		'title' => __('Insert/edit link'),
  		'update' => __('Update'),
  		'save' => __('Add Link'),
***************
*** 285,291 ****
  	$scripts->add( 'wpdialogs-popup', "/wp-includes/js/tinymce/plugins/wpdialogs/js/popup$suffix.js", array( 'wpdialogs' ), false, 1 );
  
  	$scripts->add( 'word-count', "/wp-admin/js/word-count$suffix.js", array( 'jquery' ), false, 1 );
! 	$scripts->localize( 'word-count', 'wordCountL10n', array(
  		/* translators: If your word count is based on single characters (East Asian characters),
  		   enter 'characters'. Otherwise, enter 'words'. Do not translate into your own language. */
  		'type' => 'characters' == _x( 'words', 'word count: words or characters?' ) ? 'c' : 'w',
--- 285,291 ----
  	$scripts->add( 'wpdialogs-popup', "/wp-includes/js/tinymce/plugins/wpdialogs/js/popup$suffix.js", array( 'wpdialogs' ), false, 1 );
  
  	$scripts->add( 'word-count', "/wp-admin/js/word-count$suffix.js", array( 'jquery' ), false, 1 );
! 	did_action( 'init' ) && $scripts->localize( 'word-count', 'wordCountL10n', array(
  		/* translators: If your word count is based on single characters (East Asian characters),
  		   enter 'characters'. Otherwise, enter 'words'. Do not translate into your own language. */
  		'type' => 'characters' == _x( 'words', 'word count: words or characters?' ) ? 'c' : 'w',
***************
*** 299,305 ****
  	$scripts->add( 'customize-loader',   "/wp-includes/js/customize-loader$suffix.js",   array( 'customize-base' ), false, 1 );
  	$scripts->add( 'customize-preview',  "/wp-includes/js/customize-preview$suffix.js",  array( 'customize-base' ), false, 1 );
  	$scripts->add( 'customize-controls', "/wp-admin/js/customize-controls$suffix.js", array( 'customize-base' ), false, 1 );
! 	$scripts->localize( 'customize-controls', '_wpCustomizeControlsL10n', array(
  		'activate'  => __( 'Save &amp; Activate' ),
  		'save'      => __( 'Save &amp; Publish' ),
  		'saved'     => __( 'Saved' ),
--- 299,305 ----
  	$scripts->add( 'customize-loader',   "/wp-includes/js/customize-loader$suffix.js",   array( 'customize-base' ), false, 1 );
  	$scripts->add( 'customize-preview',  "/wp-includes/js/customize-preview$suffix.js",  array( 'customize-base' ), false, 1 );
  	$scripts->add( 'customize-controls', "/wp-admin/js/customize-controls$suffix.js", array( 'customize-base' ), false, 1 );
! 	did_action( 'init' ) && $scripts->localize( 'customize-controls', '_wpCustomizeControlsL10n', array(
  		'activate'  => __( 'Save &amp; Activate' ),
  		'save'      => __( 'Save &amp; Publish' ),
  		'saved'     => __( 'Saved' ),
***************
*** 311,317 ****
  	if ( is_admin() ) {
  		$scripts->add( 'ajaxcat', "/wp-admin/js/cat$suffix.js", array( 'wp-lists' ) );
  		$scripts->add_data( 'ajaxcat', 'group', 1 );
! 		$scripts->localize( 'ajaxcat', 'catL10n', array(
  			'add' => esc_attr(__('Add')),
  			'how' => __('Separate multiple categories with commas.')
  		) );
--- 311,317 ----
  	if ( is_admin() ) {
  		$scripts->add( 'ajaxcat', "/wp-admin/js/cat$suffix.js", array( 'wp-lists' ) );
  		$scripts->add_data( 'ajaxcat', 'group', 1 );
! 		did_action( 'init' ) && $scripts->localize( 'ajaxcat', 'catL10n', array(
  			'add' => esc_attr(__('Add')),
  			'how' => __('Separate multiple categories with commas.')
  		) );
***************
*** 319,325 ****
  		$scripts->add( 'admin-categories', "/wp-admin/js/categories$suffix.js", array('wp-lists'), false, 1 );
  
  		$scripts->add( 'admin-tags', "/wp-admin/js/tags$suffix.js", array('jquery', 'wp-ajax-response'), false, 1 );
! 		$scripts->localize( 'admin-tags', 'tagsl10n', array(
  			'noPerm' => __('You do not have permission to do that.'),
  			'broken' => __('An unidentified error has occurred.')
  		));
--- 319,325 ----
  		$scripts->add( 'admin-categories', "/wp-admin/js/categories$suffix.js", array('wp-lists'), false, 1 );
  
  		$scripts->add( 'admin-tags', "/wp-admin/js/tags$suffix.js", array('jquery', 'wp-ajax-response'), false, 1 );
! 		did_action( 'init' ) && $scripts->localize( 'admin-tags', 'tagsl10n', array(
  			'noPerm' => __('You do not have permission to do that.'),
  			'broken' => __('An unidentified error has occurred.')
  		));
***************
*** 327,333 ****
  		$scripts->add( 'admin-custom-fields', "/wp-admin/js/custom-fields$suffix.js", array('wp-lists'), false, 1 );
  
  		$scripts->add( 'admin-comments', "/wp-admin/js/edit-comments$suffix.js", array('wp-lists', 'quicktags', 'jquery-query'), false, 1 );
! 		$scripts->localize( 'admin-comments', 'adminCommentsL10n', array(
  			'hotkeys_highlight_first' => isset($_GET['hotkeys_highlight_first']),
  			'hotkeys_highlight_last' => isset($_GET['hotkeys_highlight_last']),
  			'replyApprove' => __( 'Approve and Reply' ),
--- 327,333 ----
  		$scripts->add( 'admin-custom-fields', "/wp-admin/js/custom-fields$suffix.js", array('wp-lists'), false, 1 );
  
  		$scripts->add( 'admin-comments', "/wp-admin/js/edit-comments$suffix.js", array('wp-lists', 'quicktags', 'jquery-query'), false, 1 );
! 		did_action( 'init' ) && $scripts->localize( 'admin-comments', 'adminCommentsL10n', array(
  			'hotkeys_highlight_first' => isset($_GET['hotkeys_highlight_first']),
  			'hotkeys_highlight_last' => isset($_GET['hotkeys_highlight_last']),
  			'replyApprove' => __( 'Approve and Reply' ),
***************
*** 339,345 ****
  		$scripts->add( 'postbox', "/wp-admin/js/postbox$suffix.js", array('jquery-ui-sortable'), false, 1 );
  
  		$scripts->add( 'post', "/wp-admin/js/post$suffix.js", array('suggest', 'wp-lists', 'postbox'), false, 1 );
! 		$scripts->localize( 'post', 'postL10n', array(
  			'ok' => __('OK'),
  			'cancel' => __('Cancel'),
  			'publishOn' => __('Publish on:'),
--- 339,345 ----
  		$scripts->add( 'postbox', "/wp-admin/js/postbox$suffix.js", array('jquery-ui-sortable'), false, 1 );
  
  		$scripts->add( 'post', "/wp-admin/js/post$suffix.js", array('suggest', 'wp-lists', 'postbox'), false, 1 );
! 		did_action( 'init' ) && $scripts->localize( 'post', 'postL10n', array(
  			'ok' => __('OK'),
  			'cancel' => __('Cancel'),
  			'publishOn' => __('Publish on:'),
***************
*** 365,371 ****
  
  		$scripts->add( 'comment', "/wp-admin/js/comment$suffix.js", array('jquery') );
  		$scripts->add_data( 'comment', 'group', 1 );
! 		$scripts->localize( 'comment', 'commentL10n', array(
  			'submittedOn' => __('Submitted on:')
  		) );
  
--- 365,371 ----
  
  		$scripts->add( 'comment', "/wp-admin/js/comment$suffix.js", array('jquery') );
  		$scripts->add_data( 'comment', 'group', 1 );
! 		did_action( 'init' ) && $scripts->localize( 'comment', 'commentL10n', array(
  			'submittedOn' => __('Submitted on:')
  		) );
  
***************
*** 379,385 ****
  		$scripts->add( 'theme-preview', "/wp-admin/js/theme-preview$suffix.js", array( 'thickbox', 'jquery' ), false, 1 );
  
  		$scripts->add( 'inline-edit-post', "/wp-admin/js/inline-edit-post$suffix.js", array( 'jquery', 'suggest' ), false, 1 );
! 		$scripts->localize( 'inline-edit-post', 'inlineEditL10n', array(
  			'error' => __('Error while saving the changes.'),
  			'ntdeltitle' => __('Remove From Bulk Edit'),
  			'notitle' => __('(no title)'),
--- 379,385 ----
  		$scripts->add( 'theme-preview', "/wp-admin/js/theme-preview$suffix.js", array( 'thickbox', 'jquery' ), false, 1 );
  
  		$scripts->add( 'inline-edit-post', "/wp-admin/js/inline-edit-post$suffix.js", array( 'jquery', 'suggest' ), false, 1 );
! 		did_action( 'init' ) && $scripts->localize( 'inline-edit-post', 'inlineEditL10n', array(
  			'error' => __('Error while saving the changes.'),
  			'ntdeltitle' => __('Remove From Bulk Edit'),
  			'notitle' => __('(no title)'),
***************
*** 387,398 ****
  		) );
  
  		$scripts->add( 'inline-edit-tax', "/wp-admin/js/inline-edit-tax$suffix.js", array( 'jquery' ), false, 1 );
! 		$scripts->localize( 'inline-edit-tax', 'inlineEditL10n', array(
  			'error' => __('Error while saving the changes.')
  		) );
  
  		$scripts->add( 'plugin-install', "/wp-admin/js/plugin-install$suffix.js", array( 'jquery', 'thickbox' ), false, 1 );
! 		$scripts->localize( 'plugin-install', 'plugininstallL10n', array(
  			'plugin_information' => __('Plugin Information:'),
  			'ays' => __('Are you sure you want to install this plugin?')
  		) );
--- 387,398 ----
  		) );
  
  		$scripts->add( 'inline-edit-tax', "/wp-admin/js/inline-edit-tax$suffix.js", array( 'jquery' ), false, 1 );
! 		did_action( 'init' ) && $scripts->localize( 'inline-edit-tax', 'inlineEditL10n', array(
  			'error' => __('Error while saving the changes.')
  		) );
  
  		$scripts->add( 'plugin-install', "/wp-admin/js/plugin-install$suffix.js", array( 'jquery', 'thickbox' ), false, 1 );
! 		did_action( 'init' ) && $scripts->localize( 'plugin-install', 'plugininstallL10n', array(
  			'plugin_information' => __('Plugin Information:'),
  			'ays' => __('Are you sure you want to install this plugin?')
  		) );
***************
*** 406,417 ****
  		$scripts->add( 'media', "/wp-admin/js/media$suffix.js", array( 'jquery-ui-draggable' ), false, 1 );
  
  		$scripts->add( 'image-edit', "/wp-admin/js/image-edit$suffix.js", array('jquery', 'json2', 'imgareaselect'), false, 1 );
! 		$scripts->localize( 'image-edit', 'imageEditL10n', array(
  			'error' => __( 'Could not load the preview image. Please reload the page and try again.' )
  		));
  
  		$scripts->add( 'set-post-thumbnail', "/wp-admin/js/set-post-thumbnail$suffix.js", array( 'jquery' ), false, 1 );
! 		$scripts->localize( 'set-post-thumbnail', 'setPostThumbnailL10n', array(
  			'setThumbnail' => __( 'Use as featured image' ),
  			'saving' => __( 'Saving...' ),
  			'error' => __( 'Could not set that as the thumbnail image. Try a different attachment.' ),
--- 406,417 ----
  		$scripts->add( 'media', "/wp-admin/js/media$suffix.js", array( 'jquery-ui-draggable' ), false, 1 );
  
  		$scripts->add( 'image-edit', "/wp-admin/js/image-edit$suffix.js", array('jquery', 'json2', 'imgareaselect'), false, 1 );
! 		did_action( 'init' ) && $scripts->localize( 'image-edit', 'imageEditL10n', array(
  			'error' => __( 'Could not load the preview image. Please reload the page and try again.' )
  		));
  
  		$scripts->add( 'set-post-thumbnail', "/wp-admin/js/set-post-thumbnail$suffix.js", array( 'jquery' ), false, 1 );
! 		did_action( 'init' ) && $scripts->localize( 'set-post-thumbnail', 'setPostThumbnailL10n', array(
  			'setThumbnail' => __( 'Use as featured image' ),
  			'saving' => __( 'Saving...' ),
  			'error' => __( 'Could not set that as the thumbnail image. Try a different attachment.' ),
***************
*** 420,426 ****
  
  		// Navigation Menus
  		$scripts->add( 'nav-menu', "/wp-admin/js/nav-menu$suffix.js", array('jquery-ui-sortable') );
! 		$scripts->localize( 'nav-menu', 'navMenuL10n', array(
  			'noResultsFound' => _x('No results found.', 'search results'),
  			'warnDeleteMenu' => __( "You are about to permanently delete this menu. \n 'Cancel' to stop, 'OK' to delete." ),
  			'saveAlert' => __('The changes you made will be lost if you navigate away from this page.')
--- 420,426 ----
  
  		// Navigation Menus
  		$scripts->add( 'nav-menu', "/wp-admin/js/nav-menu$suffix.js", array('jquery-ui-sortable') );
! 		did_action( 'init' ) && $scripts->localize( 'nav-menu', 'navMenuL10n', array(
  			'noResultsFound' => _x('No results found.', 'search results'),
  			'warnDeleteMenu' => __( "You are about to permanently delete this menu. \n 'Cancel' to stop, 'OK' to delete." ),
  			'saveAlert' => __('The changes you made will be lost if you navigate away from this page.')
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.1.pl ./wordpress-3.4/wp-includes/theme.php ./wordpress-3.4.1/wp-includes/theme.php
*** ./wordpress-3.4/wp-includes/theme.php	2012-06-12 10:57:11.000000000 -0500
--- ./wordpress-3.4.1/wp-includes/theme.php	2012-06-25 22:36:44.000000000 -0500
***************
*** 381,387 ****
  				if ( ! $sub_dirs )
  					return false;
  				foreach ( $sub_dirs as $sub_dir ) {
! 					if ( ! is_dir( $theme_root . '/' . $dir ) || $dir[0] == '.' || $dir == 'CVS' )
  						continue;
  					if ( ! file_exists( $theme_root . '/' . $dir . '/' . $sub_dir . '/style.css' ) )
  						continue;
--- 381,387 ----
  				if ( ! $sub_dirs )
  					return false;
  				foreach ( $sub_dirs as $sub_dir ) {
! 					if ( ! is_dir( $theme_root . '/' . $dir . '/' . $sub_dir ) || $dir[0] == '.' || $dir == 'CVS' )
  						continue;
  					if ( ! file_exists( $theme_root . '/' . $dir . '/' . $sub_dir . '/style.css' ) )
  						continue;
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.1.pl ./wordpress-3.4/wp-includes/update.php ./wordpress-3.4.1/wp-includes/update.php
*** ./wordpress-3.4/wp-includes/update.php	2012-03-24 09:07:12.000000000 -0500
--- ./wordpress-3.4.1/wp-includes/update.php	2012-06-25 22:08:30.000000000 -0500
***************
*** 58,63 ****
--- 58,64 ----
  		$multisite_enabled = 1;
  	} else {
  		$user_count = count_users( );
+ 		$user_count = $user_count['total_users'];
  		$multisite_enabled = 0;
  		$num_blogs = 1;
  		$wp_install = home_url( '/' );
***************
*** 70,76 ****
  		'mysql'             => $mysql_version,
  		'local_package'     => isset( $wp_local_package ) ? $wp_local_package : '',
  		'blogs'             => $num_blogs,
! 		'users'             => $user_count['total_users'],
  		'multisite_enabled' => $multisite_enabled
  	);
  
--- 71,77 ----
  		'mysql'             => $mysql_version,
  		'local_package'     => isset( $wp_local_package ) ? $wp_local_package : '',
  		'blogs'             => $num_blogs,
! 		'users'             => $user_count,
  		'multisite_enabled' => $multisite_enabled
  	);
  
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.1.pl ./wordpress-3.4/wp-includes/version.php ./wordpress-3.4.1/wp-includes/version.php
*** ./wordpress-3.4/wp-includes/version.php	2012-06-13 13:08:29.000000000 -0500
--- ./wordpress-3.4.1/wp-includes/version.php	2012-06-27 14:29:16.000000000 -0500
***************
*** 4,17 ****
   *
   * @global string $wp_version
   */
! $wp_version = '3.4';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
   *
   * @global int $wp_db_version
   */
! $wp_db_version = 20596;
  
  /**
   * Holds the TinyMCE version
--- 4,17 ----
   *
   * @global string $wp_version
   */
! $wp_version = '3.4.1';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
   *
   * @global int $wp_db_version
   */
! $wp_db_version = 21115;
  
  /**
   * Holds the TinyMCE version
diff -crBPN --exclude=.wp-config.php.swp --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.1.pl ./wordpress-3.4/wp-login.php ./wordpress-3.4.1/wp-login.php
*** ./wordpress-3.4/wp-login.php	2012-06-08 14:22:11.000000000 -0500
--- ./wordpress-3.4.1/wp-login.php	2012-06-26 13:53:45.000000000 -0500
***************
*** 39,45 ****
   * @param WP_Error $wp_error Optional. WordPress Error Object
   */
  function login_header($title = 'Log In', $message = '', $wp_error = '') {
! 	global $error, $interim_login, $current_site, $customize_login;
  
  	// Don't index any of these forms
  	add_action( 'login_head', 'wp_no_robots' );
--- 39,45 ----
   * @param WP_Error $wp_error Optional. WordPress Error Object
   */
  function login_header($title = 'Log In', $message = '', $wp_error = '') {
! 	global $error, $interim_login, $current_site;
  
  	// Don't index any of these forms
  	add_action( 'login_head', 'wp_no_robots' );
***************
*** 68,76 ****
  		<meta name="viewport" content="width=320; initial-scale=0.9; maximum-scale=1.0; user-scalable=0;" /><?php
  	}
  
- 	if ( $customize_login )
- 		wp_enqueue_script( 'customize-base' );
- 
  	do_action( 'login_enqueue_scripts' );
  	do_action( 'login_head' );
  
--- 68,73 ----
***************
*** 568,573 ****
--- 565,572 ----
  	$secure_cookie = '';
  	$interim_login = isset($_REQUEST['interim-login']);
  	$customize_login = isset( $_REQUEST['customize-login'] );
+ 	if ( $customize_login )
+ 		wp_enqueue_script( 'customize-base' );
  
  	// If the user wants ssl but the session is not ssl, force a secure cookie.
  	if ( !empty($_POST['log']) && !force_ssl_admin() ) {
***************
*** 604,624 ****
  	if ( !is_wp_error($user) && !$reauth ) {
  		if ( $interim_login ) {
  			$message = '<p class="message">' . __('You have logged in successfully.') . '</p>';
! 			login_header( '', $message );
! 
! 			if ( ! $customize_login ) : ?>
! 				<script type="text/javascript">setTimeout( function(){window.close()}, 8000);</script>
! 				<p class="alignright">
! 				<input type="button" class="button-primary" value="<?php esc_attr_e('Close'); ?>" onclick="window.close()" /></p>
! <?php		endif;
! 
! 			?></div><?php
! 
! 			do_action('login_footer');
  
! 			if ( $customize_login ) : ?>
  				<script type="text/javascript">setTimeout( function(){ new wp.customize.Messenger({ url: '<?php echo wp_customize_url(); ?>', channel: 'login' }).send('login') }, 1000 );</script>
! <?php		endif; ?>
  			</body></html>
  <?php		exit;
  		}
--- 603,620 ----
  	if ( !is_wp_error($user) && !$reauth ) {
  		if ( $interim_login ) {
  			$message = '<p class="message">' . __('You have logged in successfully.') . '</p>';
! 			login_header( '', $message ); ?>
  
! 			<?php if ( ! $customize_login ) : ?>
! 			<script type="text/javascript">setTimeout( function(){window.close()}, 8000);</script>
! 			<p class="alignright">
! 			<input type="button" class="button-primary" value="<?php esc_attr_e('Close'); ?>" onclick="window.close()" /></p>
! 			<?php endif; ?>
! 			</div>
! 			<?php do_action( 'login_footer' ); ?>
! 			<?php if ( $customize_login ) : ?>
  				<script type="text/javascript">setTimeout( function(){ new wp.customize.Messenger({ url: '<?php echo wp_customize_url(); ?>', channel: 'login' }).send('login') }, 1000 );</script>
! 			<?php endif; ?>
  			</body></html>
  <?php		exit;
  		}
